POST https://api.bundeling.com/V2/usersParameters Body Name Description Type Nillable Required customer_uuidA unique identifier used to identify the customer that the user will be bound to. stringtruefalseusernameA unique username that will be used during user login. stringfalsetruepasswordA password that will be used during user login. stringfalsefalsefirstnameThe first name of the user. stringfalsefalsenameThe (sur)name of the user. stringfalsetruegenderThe gender of the userAccepted values: male, female, (empty string)
stringfalsefalsefunctionThe function the user fulfills in a company. stringfalsefalsebirthdayThe date of birth of the user in YYYY-MM-DD format. datefalsefalseemailThe unique email address of the user. This address will be used when sending the invitation email. stringfalsetruetelephoneThe users phone number. stringfalsefalsemobilephoneThe users mobile phone number. stringfalsefalseadditional_infoA large text field in which additional information about a user can be stored. stringfalsefalseextra_field_1Optional extra profile field stringfalsefalseextra_field_2Optional extra profile field stringfalsefalseextra_field_3Optional extra profile field stringfalsefalseextra_field_4Optional extra profile field stringfalsefalsefacebook_profileThe Facebook url. stringfalsefalsetwitter_profileThe X url. stringfalsefalselinkedin_profileThe linkedin url. stringfalsefalsenotesAdditional notes for Club Managers. stringfalsefalseexternal_referenceReference for linking to external systems. stringfalsefalsehiddenHides this user in the app. booleanfalsefalseemail_hiddenHides the email of this user in the app. booleanfalsefalsetelephone_hiddenHides the telephone number of this user in the app. booleanfalsefalsemobilephone_hiddenHides the mobile phone number this user in the app. booleanfalsefalsedeactivatedDeactivates this user in the app. booleanfalsefalsesend_inviteSetting this value to true will send an email to this user with login credentials. booleanfalsefalselabelsThe labels linked to the user. This field is only available to API keys without user authentication. array(string)falsefalse
Example request Raw cURL JavaScript PHP Python Go Choose language
Headers Body {
"customer_uuid": "d7743aaf53224e279853c7d0c1dbfb3a",
"username": "johndoe",
"password": "johndoe123!",
"firstname": "John",
"name": "Doe",
"gender": "male",
"function": "Employee",
"birthday": "1986-04-22",
"email": "johndoe@email.com",
"telephone": "+31412345678",
"mobilephone": "+31612345678",
"additional_info": "Lorem ipsum dolor sit amet, consectetur adipiscing elit...",
"extra_field_1": false,
"extra_field_2": false,
"extra_field_3": false,
"extra_field_4": false,
"facebook_profile": "https://www.facebook.com/BundelingApp/",
"twitter_profile": "https://x.com/bundelingapp",
"linkedin_profile": "https://www.linkedin.com/in/eric-van-den-brand-a4769a/",
"notes": "Lorem ipsum dolor sit amet, consectetur adipiscing elit...",
"external_reference": "123908",
"hidden": false,
"email_hidden": false,
"telephone_hidden": false,
"mobilephone_hidden": false,
"deactivated": false,
"send_invite": false,
"labels": [
"eeb763c41c054dcc8f6d9362f24ee9b2"
]
} Example response {
"uuid": "eeb763c41c054dcc8f6d9362f24ee9b2",
"customer_uuid": "d7743aaf53224e279853c7d0c1dbfb3a",
"username": "johndoe",
"firstname": "John",
"surname": "Doe",
"name": "John Doe",
"gender": "male",
"function": "Employee",
"birthday": "1986-04-22",
"email": "johndoe@email.com",
"telephone": "+31412345678",
"mobilephone": "+31612345678",
"additional_info": "Lorem ipsum dolor sit amet, consectetur adipiscing elit...",
"facebook": "https://www.facebook.com/BundelingApp/",
"twitter": "https://x.com/bundelingapp",
"linkedin": "https://www.linkedin.com/in/eric-van-den-brand-a4769a/",
"picture": "LCJwYeyJjbGllbnQiOjEwXRoIjoidXNlcnNcLzE1XC91...",
"notes": "Lorem ipsum dolor sit amet, consectetur adipiscing elit...",
"external_reference": "123908",
"hidden": false,
"email_hidden": false,
"telephone_hidden": false,
"mobilephone_hidden": false,
"deactivated": false,
"labels": [
"56f9e6a8e64f4fb3a98a10e14af918d2",
"21f84db96e6e4febbcd2010bc26ea07a"
],
"metadata": {
"name": "value"
},
"creationdate": "2026-04-03T00:00:00+0200",
"lastupdate": "2026-04-03T00:00:00+0200"
}